=== modified file 'NEWS'
--- NEWS	2008-02-29 03:46:27 +0000
+++ NEWS	2007-05-21 06:19:12 +0000
@@ -1,112 +1,12 @@
+
 What's changed in loggerhead?
 =============================
 
-1.2  [29feb2008]
-----------------
-
-    - Michael Hudson <michael.hudson@canonical.com> has mostly taken
-      over the maintenance of loggerhead.
-
-    - loggerhead now has a simple test suite -- use 'nosetests' in the
-      loggerhead directory to run it.
-
-    - The rendering performance of pages that display large amounts of
-      text was improved by a factor of 4 or so.
-
-    - loggerhead no longer caches the text of the diffs between
-      revisions.  It rarely helped and wasted a lot of disk space.
-
-    - The layout of most pages was made more "tight" to waste less
-      screen real estate, and some other UI improvements (Kent
-      Gibson).
-
-    - Much dead code was removed.
-
-    - Loggerhead now computes the files changed between revisions only
-      when it needs to know this.  This is a fairly expensive
-      operation in Bazaar, and doing it less massively improves
-      performance and memory usage in some situations.
-
-    - Loggerhead now takes a read lock on the branch being viewed for
-      the duration of each request, which improves performance
-      significantly.
-
-    - Loggerhead no longer uses the corruption-prone Berkely DB-backed
-      shelve module for its caches, and rather (ab)uses a sqlite
-      database instead.
-
-    - The creation of History objects is much faster for large
-      branches (Aaron Bentley).
-
-    - Allow the construction of URLs using revnos and file paths as
-      well as revids and fileids (bug #98826):
-
-      - For changes pages, append the newest revno to display to the
-        URL, like http://.../changes/<revno>
-
-      - For annotate pages, append the revno to display to the URL,
-        followed by the path, like http://.../annotate/<revno>/<path>
-
-      - For file listing and revision pages append the revno to
-        display to the URL, like http://.../files/<revno>
-
-      Loggerhead still generates URLs using revision and file ids for
-      the moment.
-
-    - Many bugs were fixed:
-
-      - Loggerhead does not escape special characters when embedding a
-        revision ID in a URL (bug #88286)
-
-      - Improved robustness in the face of ghosts.
-
-      - Don't crash on displaying a commit with an empty message (bug
-        #86247)
-
-      - codebrowse fails with infinite redirections (James Henstridge,
-        bug #89854)
-
-      - Loggerhead fails to browse revisions that change binary files
-        (James Henstridge, bug #91686)
-
-      - Loggerhead atom feeds expose internal hostname (James
-        Henstridge, bug #93585)
-
-      - loggerhead don't like page break character (0x0C) in text
-        files (bug #113313)
-
-      - codebrowse source listings don't contain line number anchors
-        (bug #98826)
-
-      - only serve up unescaped user content with "Content-Disposition:
-        attachment"
-
-      - viewing the file listing consumes a lot memory (bug #116869)
-
-      - loggerhead can't handle empty branches (bug #119228)
-
-      - upgrading the format of a branch behind loggerhead could make
-        it fail for that branch (bug #118673)
-
-      - Error parsing non-ascii content (bug #117799)
-
-      - Loggerhead failed on whitespace-only commit messages.
-
-      - Links to diffs from within a revision do not work (bug
-        #119422)
-
-      - UTF-8 patches served as ISO-8859-1, fixed by served bundles as
-        application/octet-stream (bug #121336)
-
-      - TurboGears was turning query arguments into unicode, and bzr
-        stopped accepting unicode revids (bug #175228)
-
-
 1.1.1  [24jan2007]
 ------------------
 
     - fix broken inventory page (oops!)
-
+    
     - fix a few rendering problems with kid and safari
 
 
@@ -114,31 +14,31 @@
 ----------------
 
     - new feature to compare two revisions to each other
-
+    
     - inserted text in diffs is now blue instead of green
-
+    
     - fixed to start and stop as a daemon now (use "-f" to run in the
       foreground), and all config is in loggerhead.conf (no need to mess with
       dev.cfg)
-
+      
     - renamed show/hide javascript buttons to expand/collapse, and made them
       much faster
-
+      
     - added an atom-feed link to each branch on the browse page [elliot
       murphy]
-
+      
     - auto-publish feature for multiple branches under a single folder (see
       loggerhead.conf.example)
-
+      
     - added the ability to share cache files per-project instead of just
       per-branch
-
+    
     - added side-by-side diff display for the revision page (which is the
       default), with a button to switch between side-by-side and unified diff
       format
 
     - made caching use file locking, and close cleanly on shutdown
-
+    
     - miscellaneous speed and page-size improvements
 
 

=== modified file 'README.txt'
--- README.txt	2008-03-03 23:10:35 +0000
+++ README.txt	2007-01-24 19:29:58 +0000
@@ -1,83 +1,64 @@
 LOGGERHEAD
 ==========
 
-[ Version 1.2 for Bazaar 1.2 ]
-
-Loggerhead is a web viewer for Bazaar branches.  It can be used to
-navigate a branch history, annotate files, perform searches... all the
-usual things.
-
-To get started, first you need to create a 'loggerhead.conf' file
-specifying the branches you want to view.  A 'loggerhead.conf.example'
-file is included in the source which has comments explaining the
-various options.
-
-Loggerhead can then be started by running::
+[ version 1.1.1 for bazaar 0.13 ]
+
+Loggerhead is a web viewer for bazaar branches.  It can be used to navigate
+a branch history, annotate files, perform searches... all the usual things.
+
+This is a TurboGears (http://www.turbogears.org) project.  It can be
+started by running::
 
     $ ./start-loggerhead.py
-
-This will run loggerhead in the background.  It listens on port 8080
-by default, so go to http://localhost:8080/ in your browser to see the
-list of bublished branches.
-
-To stop Loggerhead, run::
+    
+This will run loggerhead in the background.  To stop it, run::
 
     $ ./stop-loggerhead.py
 
-If you want to view Bazaar branches from your existing Apache
-installation, you'll need to configure Apache to proxy certain
-requests to Loggerhead.  Adding lines like this to you Apache
-configuration is one way to do this::
+If you're not familiar with TurboGears, the simplest way to get running is
+to add the following lines to your apache configuration::
 
     <Location "/branches/">
         ProxyPass http://127.0.0.1:8080/
         ProxyPassReverse http://127.0.0.1:8080/
     </Location>
-
-In the configuration file you can configure projects, and branches per
-project.  The idea is that you could be publishing several (possibly
-unrelated) projects through the same loggerhead instance, and several
-branches for the same project.  See the "loggerhead.conf.example" file
-included with the source.
-
-Although Loggerhead is a TurboGears (http://www.turbogears.org)
-project, don't bother with "dev.cfg" or any of the other TurboGears
-config files.  Loggerhead overrides those values with its own.
-
-A debug and access log are stored in the logs/ folder, relative to
-the location of the start-loggerhead.py script.
-
-You may update the Bazaar branch at any time (for example, from a cron).
-Loggerhead will notice and refresh, and Bazaar uses its own branch
-locking to prevent corruption.
+    
+The config file is "loggerhead.conf".  In there, you can configure projects,
+and branches per project.  The idea is that you could be publishing several
+(possibly unrelated) projects through the same loggerhead instance, and 
+several branches for the same project.
+
+Don't bother with "dev.cfg" or any of the other TurboGears config files.
+Loggerhead overrides those values with its own.
+
+A debug and access log are stored in the logs/ folder.
 
 
 CACHES
 ------
 
-To speed up operations with large branches, loggerhead can be configured
-to create three caches per branch when it first launches:
+To speed up most operations, loggerhead will start creating two caches per
+branch when it first launches:
 
     - a revision data cache
-    - a cache of files changed in a revision
     - a text searching cache
 
-You can put the cache folder anywhere.
-
-The revision data cache and text searching cache will be automatically
-filled once loggerhead starts up.  The caches for a branch with 15,000
-revisions take about four minutes each on a fairly fast machine, but
-mileage may vary.  Once they are built, they update every six hours or
-so but usually finish quickly (or instantly) after the initial creation.
+You can put the cache folder anywhere, but I find that a folder under
+the branch's .bzr/ folder is the simplest place.
+
+The caches for a branch with 10,000 revisions take about 15 minutes each
+on my machine, but YMMV.  Once they are built, they update every six hours
+or so but usually finish quickly (or instantly) after the initial creation.
+Until the revision cache is built, all operations will be slow.
+
+You may update the bazaar branch at any time (for example, from a cron).
+Loggerhead will notice and refresh, and bazaar uses its own branch locking
+to prevent corruption.
 
 
 SUPPORT
 -------
 
-Loggerhead is loosely based on bazaar-webserve, which was loosely
-based on hgweb.  Discussion should take place on the bazaar-dev
-mailing list at bazaar@lists.canonical.com.  You can join the list at
-<https://lists.ubuntu.com/mailman/listinfo/bazaar>.  You don't need to
-subscribe to post, but your first post will be held briefly for manual
-moderation.
+This is loosely based on bazaar-webserve, which was loosely based on hgweb.
+Discussion should take place on the bazaar-dev mailing list.
 

=== modified file 'loggerhead/release.py'
--- loggerhead/release.py	2008-02-28 04:45:06 +0000
+++ loggerhead/release.py	2007-01-24 19:29:58 +0000
@@ -1,6 +1,6 @@
 # Release information about loggerhead
 
-version = "1.2"
+version = "1.1.1-0.13"
 
 description = "Loggerhead is a web viewer for projects in bazaar."
 
@@ -8,5 +8,5 @@
 email = "robey@lag.net"
 
 license = "GPL"
-url = "http://launchpad.net/loggerhead"
-download_url = "https://launchpad.net/loggerhead/trunk/1.2/+download/loggerhead-1.2.tar.gz"
+url = "http://www.lag.net/loggerhead/"
+download_url = "http://www.lag.net/loggerhead/download/loggerhead-1.1.1-0.13.tar.gz"

=== modified file 'setup.py'
--- setup.py	2008-02-28 04:34:51 +0000
+++ setup.py	2007-03-26 06:09:27 +0000
@@ -15,8 +15,6 @@
     url=url,
     download_url=download_url,
     license=license,
-    maintainer="Michael Hudson",
-    maintainer_email="michael.hudson@canonical.com",
     
     install_requires = [
         "TurboGears >= 1.0b1",

